Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes
Argus::AcRegion Struct Reference

Defines an autocontrol region of interest (in pixel space). More...

`#include <Types.h>`

List of all members.

## Public Member Functions

| AcRegion ()
| AcRegion (uint32_t _left, uint32_t _top, uint32_t _width, uint32_t _height, float _weight)
bool | operator== (const AcRegion &other) const

## Public Attributes

Rectangle | rect
float | weight

## Detailed Description

Defines an autocontrol region of interest (in pixel space).

Definition at line 612 of file Types.h.

## Constructor & Destructor Documentation

Argus::AcRegion::AcRegion | ( |  | ) |

inline

Definition at line 614 of file Types.h.

Argus::AcRegion::AcRegion | ( | uint32_t | _left,
|  | uint32_t | _top,
|  | uint32_t | _width,
|  | uint32_t | _height,
|  | float | _weight
| ) |  |

inline

Definition at line 619 of file Types.h.

## Member Function Documentation

bool Argus::AcRegion::operator== | ( | const AcRegion & | other | ) | const

inline

Definition at line 624 of file Types.h.

## Member Data Documentation

Rectangle Argus::AcRegion::rect

Definition at line 630 of file Types.h.

float Argus::AcRegion::weight

Definition at line 631 of file Types.h.

The documentation for this struct was generated from the following file:

- include/Argus/Types.h